commit:     b1bebce1b74f31a806b3e8d0810c4409394b856d
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 24 15:55:02 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Jun 24 15:56:11 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1bebce1

x11-themes/kfaenza: Fix invalid file names

...with spaces. Stable revbump.

Reported-by: Vit Pelcak <v.pelcak <AT> gmail.com>
Gentoo-bug: 620352

Package-Manager: Portage-2.3.6, Repoman-2.3.1

 x11-themes/kfaenza/kfaenza-0.8.9-r2.ebuild | 55 ++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

diff --git a/x11-themes/kfaenza/kfaenza-0.8.9-r2.ebuild 
b/x11-themes/kfaenza/kfaenza-0.8.9-r2.ebuild
new file mode 100644
index 00000000000..b8a13c66e90
--- /dev/null
+++ b/x11-themes/kfaenza/kfaenza-0.8.9-r2.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_PN="KFaenza"
+DESCRIPTION="Faenza-Cupertino icon theme for KDE Plasma"
+HOMEPAGE="http://kde-look.org/content/show.php/KFaenza?content=143890 
http://kde-look.org/content/show.php/KFaenza+icon+patch?content=153813 
http://kde-look.org/content/show.php/Additional+KFaenza+Icons?content=147483";
+#That is upstream location, not reupload. Don't fix
+SRC_URI="http://ompldr.org/vYjR0NQ/${P}.tar.gz
+       
http://kde-look.org/CONTENT/content-files/153813-${PN}-icon-patch-0.3.tar.gz
+       additional? ( 
http://kde-look.org/CONTENT/content-files/147483-additional-KFaenza.tar.gz )"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="+additional branding"
+
+S="${WORKDIR}/${MY_PN}"
+RESTRICT="binchecks strip"
+
+src_unpack() {
+       unpack ${P}.tar.gz
+       pushd "${S}" > /dev/null
+       for tarball in ${A}; do
+               [[ "${tarball}" == ${P}.tar.gz ]] && continue
+               unpack "${tarball}"
+       done
+       popd > /dev/null
+}
+
+src_prepare() {
+       default
+
+       # Gentoo bug 620352
+       local f
+       for f in 16 22 32 48; do
+               mv apps/${f}/"numpty physics.png" apps/${f}/"numptyphysics.png" 
|| die
+       done
+
+       use branding || return
+
+       local res
+       for res in 22 32 48 64 128 256; do
+               cp "${S}"/places/${res}/start-here-gentoo.png \
+                       "${S}"/places/${res}/start-here.png || die
+       done
+       cp "${S}"/places/scalable/start-here-gentoo.svg \
+               "${S}"/places/scalable/start-here.svg || die
+}
+
+src_install() {
+       dodir /usr/share/icons
+       cp -R "${S}/" "${D}"/usr/share/icons || die "Install failed!"
+}

Reply via email to